/* fonts.css */
@font-face {
  font-family: 'Haval';
  src: url('../../asstets/fonts/Haval-Light.otf') format('opentype');
  font-weight: 300;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'SB Sans Text';
  src: url('../../asstets/fonts/SB-Sans-Text-Bold.ttf') format('truetype');
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'SB Sans Text';
  src: url('../../asstets/fonts/SB-Sans-Text-Medium.ttf') format('truetype');
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'SB Sans Text';
  src: url('../../asstets/fonts/SB-Sans-Text-Semibold.ttf') format('truetype');
  font-weight: 600;
  font-style: normal;
  font-display: swap;
}

/* Основные переменные проекта */
:root {
  --primary-blue: #0088ff;
  --secondary-blue: #00bfff;
  --neon-blue: #00f3ff;
  --deep-blue: #003366;
  --dark-bg: #040412;
  --text-light: #ffffff;
  --text-blue: #DFF7FF;
  --text-invest-light: #96E4FF;
  --text-invest-lighter: #A5E8FF;
  --glassmorphism: rgba(0, 183, 255, 0.05);

  --font-haval: 'Haval', sans-serif;
  --font-sb-sans: 'SB Sans Text', sans-serif;
}

/* Базовые стили для всего сайта */
body {
  font-family: 'Helvetica Neue', Arial, sans-serif;
  background-color: var(--dark-bg);
  color: var(--text-light);
  margin: 0;
  padding: 0;
  overflow-x: hidden;
  -webkit-font-smoothing: antialiased;
}

/* 
 * Этот CSS файл содержит стили для всех заголовочных текстов на сайте.
 */
.card-title {
  color: var(--text-blue);
  font-size: 1.6rem;
  font-family: var(--font-sb-sans);
  font-weight: 600;
}

/* Это для всех блоков карточек */
.card {
  background: rgb(80 132 255 / 4%);
  box-shadow: 0 4px 20px var(--subtle-shadow);
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}


/* Текст описания в карточках */
.card-text {
  color: #fff;
  line-height: 1.6;
  margin-top: 12px;
  letter-spacing: 0.01em;
  font-size: 1.2rem;
  font-family: var(--font-sb-sans);
  font-weight: 500;
}

/* Секция работы с Логотипом G на первом слайде экрана */

.hero-logo-circle {
  width: 14rem;               /* базовый размер (мобильный) */
  height: 14rem;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  transition: all 0.3s ease;
  margin: 0 auto 2rem;       /* по умолчанию центр + отступ снизу */
}

.hero-logo-circle:hover {
  transform: scale(1.05);
}


/* Секция текста с кастом шрифтом */
.invest-title {
  font-family: var(--font-haval);
  font-weight: 400;
  line-height: 48px;
  color: var(--text-invest-light);
  text-align: center;
  margin-bottom: 3rem;
  font-size: 48px;
}

/* Большие телефоны и планшеты */
@media (max-width: 768px) {
  .invest-title {
    font-size: 40px;
    line-height: 40px;
  }
}

/* обычные телефоны */
@media (max-width: 576px) {
  .invest-title {
    font-size: 36px;
    line-height: 32px;
    margin-bottom: 2rem;
  }
}

/* очень маленькие телефоны */
@media (max-width: 376px) {
  .invest-title {
    font-size: 30px;
    line-height: 32px;
    margin-bottom: 2rem;
  }
}

.invest-card-title {
  font-family: var(--font-sb-sans);
  font-size: 35px;
  font-weight: 600;
  line-height: 48px;
  color: var(--text-invest-lighter);
  text-align: left;
  margin-bottom: 1rem;
}

@media (max-width: 1199px) {
  .invest-card-title {
    font-size: 30px;
    line-height: 42px;
  }
}

@media (max-width: 768px) {
  .invest-card-title {
    font-size: 26px;
    line-height: 36px;
  }
}

@media (max-width: 576px) {
  .invest-card-title {
    font-size: 22px;
    line-height: 32px;
  }
}

/* Адаптация текста карточек под телефоны */
@media screen and (max-width: 575px) {
  .mobile-text {
    font-size: 20px !important;
  }
}

/* Small devices (landscape phones, 576px to 767px) */
@media screen and (min-width: 576px) and (max-width: 767px) {
  .mobile-text {
    font-size: 20px !important;
  }
}

/* Medium devices (tablets, 768px to 991px) */
@media screen and (min-width: 768px) and (max-width: 991px) {
  .mobile-text {
    font-size: 18px !important;
  }
}

/* Стили для текста GENERO в блоке hero */
.hero-text-title {
  font-family: var(--font-haval);
  font-size: 100px;
  color: var(--text-invest-light);
}

@media (max-width: 480px) {
  .hero-text-title {
      font-size: 62px;
  }
}

@media (max-width: 376px) {
  .hero-text-title {
      font-size: 55px;
  }
}

@media screen and (max-height: 480px) and (orientation: landscape) {
  .hero-text-title {
      font-size: 50px; /* Уменьшенный размер для горизонтальной ориентации */
  }
}

/* Базовые стили для мобильных устройств */
.hero-logo-circle {
  width: 14rem;          /* Базовый размер для мобильных */
  height: 14rem;
  position: relative;
  margin: 1rem auto;
  margin-bottom: 5rem; 
  overflow: hidden;
}

.hero-logo-image {
  width: 180%;
  height: 180%;
  object-fit: cover;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

/* Планшеты */
@media (min-width: 481px) and (max-width: 768px) {
  .hero-logo-circle {
    width: 16rem;
    height: 16rem;
    margin: 1.5rem auto;
  }

  .hero-logo-image {
    width: 175%;
    height: 175%;
  }
}

/* Десктопная версия */
@media (min-width: 769px) {
  .hero-logo-circle {
    width: 18rem;
    height: 18rem;
    margin: 2rem auto;
  }

  .hero-logo-image {
    width: 170%;
    height: 170%;
  }
}

/* Горизонтальная ориентация на мобильных */
@media (max-height: 480px) and (orientation: landscape) {
  .hero-logo-circle {
    width: 10rem;
    height: 10rem;
    margin: 0.5rem auto;
    margin-bottom: 1.7rem; 
  }

  .hero-logo-image {
    width: 160%;
    height: 160%;
  }
}

/* Очень маленькие экраны */
@media (max-width: 320px) {
  .hero-logo-circle {
    width: 12rem;
    height: 12rem;
    margin: 0.8rem auto;
  }

  .hero-logo-image {
    width: 185%;
    height: 185%;
  }
}

.modal-backdrop.show {
  opacity: 0.5;
}

/* Стили для контента модального окна */
.modal-content {
  background: linear-gradient(77deg, #0e4980 -1.55%, #01173b 98.41%);
  border: none;
  border-radius: 8px;
  color: white; /* Делаем текст белым для лучшей читаемости */
}

/* Стили для заголовка модального окна */
.modal-header {
  border-bottom: 1px solid rgba(255, 255, 255, 0.1);
}

/* Стили для кнопки закрытия */
.modal-header .btn-close {
  filter: brightness(0) invert(1); /* Делаем крестик белым */
}

/* Анимация появления 3 элементов */
@media (max-width: 767px) and (orientation: portrait) {
  .hidden-mobile {
    display: none;
    opacity: 0;
    transform: translateY(20px);
  }
  
  .show-more-container {
    display: block;
  }
  
  .show-more-btn {
    width: 100%;
    max-width: 300px;
    padding: 15px;
    font-size: 18px;
    border-radius: 12px;
  }

  /* Анимация для появляющихся блоков */
  .block-item {
    transition: opacity 0.4s ease, transform 0.4s ease;
  }

  .block-item.fade-in {
    opacity: 1;
    transform: translateY(0);
    display: block;
  }
}

@media (min-width: 768px), (orientation: landscape) {
  .show-more-container {
    display: none;
  }
}

/* Для Chrome, Safari, WebKit-браузеров */
#scroll-container::-webkit-scrollbar {
  width: 0;
  height: 0;
  display: none;
}

/* Для Firefox */
#scroll-container {
  scrollbar-width: none; /* Полностью скрывает ползунок */
}

/* Для IE/Edge старых версий */
#scroll-container {
  -ms-overflow-style: none; /* Полностью скрывает ползунок */
}
